# $Revision: 1.5 $, $Date: 2004/08/17 20:25:51 $
Summary:	HBCI - HomeBanking Computer Interface
Summary(pl):	HBCI - komputerowy interfejs do HomeBankingu
Name:		openhbci
Version:	0.9.14
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://dl.sourceforge.net/openhbci/%{name}-%{version}.tar.gz
# Source0-md5:	ae97513913683dbb921c0391760a59b1
URL:		http://openhbci.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.6m
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HBCI is a bank-independent online banking standard, developed by the
German Central Banking Committee ZKA (Zentraler Kredit-Ausschuss). It
is a publicly available specification that defines the communication
between online banking applications and the credit institutes'
servers. In Germany, roughly half of all banks offer online banking
through HBCI, which are approximately 2000 banks.

%description -l pl
HBCI (HomeBanking Computer Interface) to niezaleny od banku standard
przeprowadzania operacji bankowych online, rozwijany przez niemiecki
centralny komitet bankowy ZKA (Zentraler Kredit-Ausschuss). Jest to
publicznie dostpna specyfikacja definiujca komunikacj pomidzy
aplikacjami bankowymi dziaajcymi online i serwerami instytucji
kredytowych. W Niemczech z grubsza poowa (okoo 2000) wszystkich
bankw oferuje operacje online poprzez HBCI.

%package devel
Summary:	HBCI - HomeBanking Computer Interface - development files
Summary(pl):	Pliki programistyczne do interfejsu HBCI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for HBCI - HomeBanking Computer Interface.

%description devel -l pl
Pliki programistyczne dla HBCI - komputerowego interfejsu do
HomeBankingu.

%package static
Summary:	HBCI - HomeBanking Computer Interface - static libraries
Summary(pl):	Statyczne biblioteki HBCI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries for HBCI - HomeBanking Computer Interface.

%description static -l pl
Statyczne biblioteki HBCI - komputerowego interfejsu do HomeBankingu.

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_libdir}/openhbci
%{_libdir}/openhbci/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_aclocaldir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openhbci.spec,v $
Revision 1.5  2004/08/17 20:25:51  blues
- release 1 (for RA)

Revision 1.4  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.3  2004/01/29 20:48:23  eothane
- updated to 0.9.14

Revision 1.2  2003/10/21 19:36:50  qboosh
- pl, unifications

Revision 1.1  2003/10/14 14:42:42  adasi
 - HBCI - HomeBanking Computer Interface. Initial rev.
 - TODO - pl descriptions
